Bug 1445803 - Restore to global region fails due to connection to database
Summary: Restore to global region fails due to connection to database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Gregg Tanzillo
QA Contact: luke couzens
URL:
Whiteboard: black:replication
Depends On: 1444993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 14:25 UTC by Satoe Imaishi
Modified: 2017-05-31 15:01 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1444993
Environment:
Last Closed: 2017-05-31 15:01:21 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-26 21:07:53 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/1017ed17fa95fc4589e4230ed43b88821cdd13ae

commit 1017ed17fa95fc4589e4230ed43b88821cdd13ae
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Apr 26 08:37:44 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 17:06:33 2017 -0400

    Merge pull request #140 from carbonin/also_remove_pglogical_extension_before_restore
    
    Remove the pglogical extension before attempting a database restore
    (cherry picked from commit a612c007fbcbcaa0419e1c85a4fd1ec2bd9d0a7b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445803

 lib/gems/pending/util/postgres_admin.rb | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Comment 3 luke couzens 2017-05-03 11:28:37 UTC
I am still seeing the same behavior in 5.8.0.13, when running the restore through appliance console I still see:

Are you sure you would like to restore the database? (Y/N): y

Restoring the database...

Database restore failed

There are 1 connection preventing a database restore

Press any key to continue.

Comment 5 CFME Bot 2017-05-04 19:44:36 UTC
New commit detected on ManageIQ/manageiq-gems-pending/master:
https://github.com/ManageIQ/manageiq-gems-pending/commit/6f17bbf10fa1e92e487c8e7c8d08915144a471da

commit 6f17bbf10fa1e92e487c8e7c8d08915144a471da
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed May 3 14:46:44 2017 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu May 4 12:01:02 2017 -0400

    Fix typo dropping pglogical extension
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445803
    https://bugzilla.redhat.com/show_bug.cgi?id=1444993

 lib/gems/pending/util/postgres_admin.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 CFME Bot 2017-05-04 19:44:47 UTC
New commit detected on ManageIQ/manageiq-gems-pending/master:
https://github.com/ManageIQ/manageiq-gems-pending/commit/cdb3b1355349387cc0b41fe54477d4e620666199

commit cdb3b1355349387cc0b41fe54477d4e620666199
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed May 3 14:52:22 2017 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu May 4 12:01:25 2017 -0400

    Wait for "pglogical manager" db connection to go away before allowing pg_restore to proceed
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445803
    https://bugzilla.redhat.com/show_bug.cgi?id=1444993

 lib/gems/pending/util/postgres_admin.rb | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

Comment 7 CFME Bot 2017-05-04 19:44:58 UTC
New commit detected on ManageIQ/manageiq-gems-pending/master:
https://github.com/ManageIQ/manageiq-gems-pending/commit/d8263c8d1ec86fffefb9ddf4397ff1793b29848b

commit d8263c8d1ec86fffefb9ddf4397ff1793b29848b
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed May 3 14:51:00 2017 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu May 4 12:01:20 2017 -0400

    Move logic for dropping pglogical extension to a separate method
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445803
    https://bugzilla.redhat.com/show_bug.cgi?id=1444993

 lib/gems/pending/util/postgres_admin.rb | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

Comment 8 CFME Bot 2017-05-04 20:19:22 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/b3dd664074a840a7d4fab1467091cc3305278937

commit b3dd664074a840a7d4fab1467091cc3305278937
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Thu May 4 15:39:07 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 15:58:57 2017 -0400

    Merge pull request #149 from gtanzillo/quiesce-pglogical-manager-connection
    
    Quiesce pglogical manager DB connection before allowing pg_restore to proceed
    (cherry picked from commit 5ea4214b6287b3307d4fe6ff93eed835f6d57612)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445803

 lib/gems/pending/util/postgres_admin.rb | 27 ++++++++++++++++++++++++---
 1 file changed, 24 insertions(+), 3 deletions(-)

Comment 9 luke couzens 2017-05-10 09:30:49 UTC
Verified in 5.8.0.14

Comment 11 errata-xmlrpc 2017-05-31 15:01:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.